Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.james.mime4j.descriptor
Interface RFC2045MimeDescriptor

All Superinterfaces:
  ContentDescriptor

All Known Implementing Classes:
  MaximalBodyDescriptor

    public interface RFC2045MimeDescriptor

extends ContentDescriptor

Describes standard RFC2045 headers.

Method Summary
`java.lang.String` | `getContentDescription()` Gets the value of the RFC `Content-Description` header.
`java.lang.String` | `getContentId()` Gets the value of the RFC `Content-ID` header.
`int` | `getMimeMajorVersion()` Gets the MIME major version as specified by the `MIME-Version` header.
`int` | `getMimeMinorVersion()` Gets the MIME minor version as specified by the `MIME-Version` header.
`MimeException` | `getMimeVersionParseException()` When the MIME version header exists but cannot be parsed this field will be contain the exception.

Methods inherited from interface org.apache.james.mime4j.descriptor.ContentDescriptor
`getCharset, getContentLength, getContentTypeParameters, getMediaType, getMimeType, getSubType, getTransferEncoding`

Method Detail

### getMimeMajorVersion

    int getMimeMajorVersion()

  Gets the MIME major version as specified by the `MIME-Version` header. Defaults to one.

  Returns:
    positive integer

### getMimeMinorVersion

    int getMimeMinorVersion()

  Gets the MIME minor version as specified by the `MIME-Version` header. Defaults to zero.

  Returns:
    positive integer

### getMimeVersionParseException

    MimeException getMimeVersionParseException()

  When the MIME version header exists but cannot be parsed this field will be contain the exception.

  Returns:
    `MimeException` if the mime header cannot be parsed, null otherwise

### getContentDescription

    java.lang.String getContentDescription()

  Gets the value of the RFC `Content-Description` header.

  Returns:
    value of the `Content-Description` when present, null otherwise

### getContentId

    java.lang.String getContentId()

  Gets the value of the RFC `Content-ID` header.

  Returns:
    value of the `Content-ID` when present, null otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.